Method: advertisers.targetingTypes.assignedTargetingOptions.delete

  • The documentation outlines how to delete an assigned targeting option from an advertiser using a DELETE HTTP request.

  • The request requires path parameters for the advertiser ID, targeting type, and the ID of the assigned targeting option to be deleted.

  • The request body must be empty, and a successful response body will also be empty.

  • Deleting an assigned targeting option requires the https://www.googleapis.com/auth/display-video OAuth scope.

Deletes an assigned targeting option from an advertiser.

HTTP request

DELETE https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser.

targetingType

enum (TargetingType)

Required. Identifies the type of this assigned targeting option.

Supported targeting types:

assignedTargetingOptionId

string

Required. The ID of the assigned targeting option to delete.

Request body

The request body must be empty.

Response body

If successful, the response body is empty.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.